package com.gx.obe.http.converter;

import java.util.Currency;

/**  
 * @Title:  CurrencyConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    货币  Currency 转换器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:11:16   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class CurrencyConverter extends AbstractConverter<Currency> {

	@Override
	protected Currency convertInternal(Object value) {
		return Currency.getInstance(convertToStr(value));
	}

}
