package com.gx.obe.http.converter;

import java.util.TimeZone;

/**  
 * @Title:  TimeZoneConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    TimeZone转换器 
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:08:26   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class TimeZoneConverter extends AbstractConverter<TimeZone>{

	@Override
	protected TimeZone convertInternal(Object value) {
		return TimeZone.getTimeZone(convertToStr(value));
	}

}
