package com.gx.obe.http.converter;

import java.util.UUID;

/**  
 * @Title:  UUIDConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   UUID对象转换器转换器
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:11:56   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class UUIDConverter extends AbstractConverter<UUID> {

	@Override
	protected UUID convertInternal(Object value) {
		return UUID.fromString(convertToStr(value));
	}

}
