package com.gx.obe.http.exception;

import com.gx.obe.http.util.StrUtil;

/**  
 * @Title:  asfa.java   
 * @Package com.gx.obe.http.exception   
 * @Description:    转换异常  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午1:40:41   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class ConvertException extends RuntimeException{
	private static final long serialVersionUID = 4730597402855274362L;

	public ConvertException(Throwable e) {
		super(e.getMessage(), e);
	}
	
	public ConvertException(String message) {
		super(message);
	}
	
	public ConvertException(String messageTemplate, Object... params) {
		super(StrUtil.format(messageTemplate, params));
	}
	
	public ConvertException(String message, Throwable throwable) {
		super(message, throwable);
	}
	
	public ConvertException(Throwable throwable, String messageTemplate, Object... params) {
		super(StrUtil.format(messageTemplate, params), throwable);
	}
}
