package com.gx.obe.http.util;

/**  
 * @Title:  Filter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    过滤器接口  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午3:55:42   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface Filter<T> {
	/**
	 * 是否接受对象
	 * @param t 检查的对象
	 * @return 是否接受对象
	 */
	boolean accept(T t);
}