package com.gx.obe.http.converter;

import com.gx.obe.http.util.BooleanUtil;

/**  
 * @Title:  BooleanConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    波尔转换器
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:18:41   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class BooleanConverter extends AbstractConverter<Boolean>{

	@Override
	protected Boolean convertInternal(Object value) {
		if(boolean.class == value.getClass()){
			return Boolean.valueOf((boolean)value);
		}
		String valueStr = convertToStr(value);
		return Boolean.valueOf(BooleanUtil.toBoolean(valueStr));
	}

}
