package com.gx.obe.http.converter;

import java.nio.charset.Charset;

import com.gx.obe.http.util.CharsetUtil;

/**  
 * @Title:  CharsetConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   编码对象转换器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:10:00   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class CharsetConverter extends AbstractConverter<Charset>{

	@Override
	protected Charset convertInternal(Object value) {
		return CharsetUtil.charset(convertToStr(value));
	}

}
