package com.gx.obe.http.converter;

import com.gx.obe.http.util.ClassUtil;

/**  
 * @Title:  ClassConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    
 * 类转换器<br>
 * 将类名转换为类
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:07:42   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class ClassConverter extends AbstractConverter<Class<?>>{
	
	@Override
	protected Class<?> convertInternal(Object value) {
		String valueStr = convertToStr(value);
		try {
			return ClassUtil.getClassLoader().loadClass(valueStr);
		} catch (Exception e) {
			// Ignore Exception
		}
		return null;
	}

}
