package com.gx.obe.http.util;
import java.nio.file.Path;
import java.nio.file.WatchEvent;
 
/**  
 * @Title:  IgnoreWatcher.java   
 * @Package com.gx.obe.http.util   
 * @Description:  
 *  跳过所有事件处理Watcher<br>
 * 用户继承此类后实现需要监听的方法  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午4:30:29   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class IgnoreWatcher implements Watcher {

	@Override
	public void onCreate(WatchEvent<?> event, Path currentPath) {
	}

	@Override
	public void onModify(WatchEvent<?> event, Path currentPath) {
	}

	@Override
	public void onDelete(WatchEvent<?> event, Path currentPath) {
	}

	@Override
	public void onOverflow(WatchEvent<?> event, Path currentPath) {
	}
}
