package com.gx.obe.http.util;

/**  
 * @Title:  Matcher.java   
 * @Package com.gx.obe.http.util   
 * @Description:    匹配接口
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:56:05   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface Matcher<T>{
	/**
	 * 给定对象是否匹配
	 * @param t 对象
	 * @return 是否匹配
	 */
	public boolean match(T t);
}
