package com.gx.obe.http.util;

 
/**  
 * @Title:  StreamProgress.java   
 * @Package com.gx.obe.http.util   
 * @Description:    Stream进度条  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午2:09:03   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface StreamProgress {
	
	/**
	 * 开始
	 */
	public void start();
	
	/**
	 * 进行中
	 * @param progressSize 已经进行的大小
	 */
	public void progress(long progressSize);
	
	/**
	 * 结束
	 */
	public void finish();
}
